Announcement

Collapse
No announcement yet.

Bug in phoronix 4.8.3 - failed to install test suites

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Bug in phoronix 4.8.3 - failed to install test suites

    I would like to report a bug in phoronix 4.8.3 on Fedora 19 with latest updates as of 7.10.2013. The problem is that the following tests fail to install.

    The following tests failed to install:

    - pts/apache-1.5.2
    - pts/fs-mark-1.0.0
    - pts/tiobench-1.1.0


    Here are the error messages.

    pts/apache-1.5.2:
    Test Installation 3 of 13
    4 Files Needed [7.53 MB / 1 Minute]
    File Found: httpd-2.4.3.tar.gz [5.85MB]
    File Found: apache-ab-test-files-1.tar.gz [0.01MB]
    File Found: apr-1.4.6.tar.gz [0.94MB]
    File Found: apr-util-1.4.1.tar.gz [0.74MB]
    Installation Size: 365 MB
    Installing Test @ 22:57:54
    The installer exited with a non-zero exit status.
    ERROR: pcre-config for libpcre not found.
    LOG: ~/.phoronix-test-suite/installed-tests/pts/apache-1.5.2/install-failed.log

    pts/fs-mark-1.0.0:
    Test Installation 7 of 13
    1 File Needed [0.01 MB / 1 Minute]
    File Found: fs_mark-3.3.tar.gz [0.01MB]
    Installation Size: 1 MB
    Installing Test @ 22:58:46
    The installer exited with a non-zero exit status.
    ERROR: collect2: error: ld returned 1 exit status
    LOG: ~/.phoronix-test-suite/installed-tests/pts/fs-mark-1.0.0/install-failed.log

    pts/tiobench-1.1.0:
    Test Installation 9 of 13
    1 File Needed [0.03 MB / 1 Minute]
    Downloading: tiobench-0.3.3.tar.gz [0.03MB]
    Estimated Download Time: 1m ........................................
    Download Failed: http://voxel.dl.sourceforge.net/sour...h-0.3.3.tar.gz
    Attempting to download from alternate mirror.
    Downloading: tiobench-0.3.3.tar.gz [0.03MB]
    Estimated Download Time: 1m ........................................
    Installation Size: 0.2 MB
    Installing Test @ 22:58:55
    The installer exited with a non-zero exit status.
    ERROR: tiotest.c:34:15: error: conflicting types for 'aligned_alloc'
    LOG: ~/.phoronix-test-suite/installed-tests/pts/tiobench-1.1.0/install-failed.log

  • #2
    This bug also exist on CentOS 6.4

    Code:
     pts/apache-1.5.2:
            Test Installation 1 of 2
            4 Files Needed [7.53 MB / 1 Minute]
            File Found: httpd-2.4.3.tar.gz                              [5.85MB]
            File Found: apache-ab-test-files-1.tar.gz                   [0.01MB]
            File Found: apr-1.4.6.tar.gz                                [0.94MB]
            File Found: apr-util-1.4.1.tar.gz                           [0.74MB]
            Installation Size: 365 MB
            Installing Test @ 02:15:52
                The installer exited with a non-zero exit status.
                ERROR: pcre-config for libpcre not found.
                LOG: ~/.phoronix-test-suite/installed-tests/pts/apache-1.5.2/install-failed.log
    
        pts/fs-mark-1.0.0:
            Test Installation 2 of 2
            1 File Needed [0.01 MB / 1 Minute]
            File Found: fs_mark-3.3.tar.gz                              [0.01MB]
            Installation Size: 1 MB
            Installing Test @ 02:16:14
                The installer exited with a non-zero exit status.
                ERROR: collect2: ld returned 1 exit status
                LOG: ~/.phoronix-test-suite/installed-tests/pts/fs-mark-1.0.0/install-failed.log

    Comment


    • #3
      Another bug

      I have just found another bug (not so serious) when trying to run pts/cpu test suite. It is on the same system (Fedora 19). It seems that PTS can not see that glibc-devel is already installed and outputs "missing dependencies".

      Code:
      [mpalenik@localhost ~]$ phoronix-test-suite benchmark pts/cpu
      
      The following dependencies are needed and will be installed: 
      
      - glibc-devel
      
      This process may take several minutes.
      Please enter your root password below:
      Password: 
      Loaded plugins: langpacks, refresh-packagekit
      Package glibc-devel-2.17-18.fc19.x86_64 already installed and latest version
      Nothing to do
      
      There are dependencies still missing from the system:
      - GNU C Development Libraries w/ 32-bit Support
      
      1: Ignore missing dependencies and proceed with installation.
      2: Skip installing the tests with missing dependencies.
      3: Re-attempt to install the missing dependencies.
      4: Quit the current Phoronix Test Suite process.
      Missing dependencies action: 3
      
      The following dependencies are needed and will be installed: 
      
      - glibc-devel
      
      This process may take several minutes.
      Please enter your root password below:
      Password: 
      Loaded plugins: langpacks, refresh-packagekit
      Package glibc-devel-2.17-18.fc19.x86_64 already installed and latest version
      Nothing to do

      Comment


      • #4
        32bit glibc-devel

        Originally posted by Slazer View Post
        I have just found another bug (not so serious) when trying to run pts/cpu test suite. It is on the same system (Fedora 19). It seems that PTS can not see that glibc-devel is already installed and outputs "missing dependencies".

        Code:
        [mpalenik@localhost ~]$ phoronix-test-suite benchmark pts/cpu
        
        The following dependencies are needed and will be installed: 
        
        - glibc-devel
        
        This process may take several minutes.
        Please enter your root password below:
        Password: 
        Loaded plugins: langpacks, refresh-packagekit
        Package glibc-devel-2.17-18.fc19.x86_64 already installed and latest version
        Nothing to do
        
        There are dependencies still missing from the system:
        - GNU C Development Libraries w/ 32-bit Support
        
        1: Ignore missing dependencies and proceed with installation.
        2: Skip installing the tests with missing dependencies.
        3: Re-attempt to install the missing dependencies.
        4: Quit the current Phoronix Test Suite process.
        Missing dependencies action: 3
        
        The following dependencies are needed and will be installed: 
        
        - glibc-devel
        
        This process may take several minutes.
        Please enter your root password below:
        Password: 
        Loaded plugins: langpacks, refresh-packagekit
        Package glibc-devel-2.17-18.fc19.x86_64 already installed and latest version
        Nothing to do

        Please install glibc-devel.i686 and try it once again.

        Regards

        Dirk

        Comment


        • #5
          No change after installing glibc-devel.i686

          I installed the glibc-devel.i686 with "yum install glibc-devel.i686" but there is no change. PTS still notifies about missing dependence. This is not so serious bug though as the tests seem to work even with the missing dependence. I would rather like to see the original bug report to be handled.

          Comment


          • #6
            Originally posted by Slazer View Post
            I would like to report a bug in phoronix 4.8.3 on Fedora 19 with latest updates as of 7.10.2013. The problem is that the following tests fail to install.

            The following tests failed to install:

            - pts/apache-1.5.2
            - pts/fs-mark-1.0.0
            - pts/tiobench-1.1.0


            Here are the error messages.

            pts/apache-1.5.2:
            Test Installation 3 of 13
            4 Files Needed [7.53 MB / 1 Minute]
            File Found: httpd-2.4.3.tar.gz [5.85MB]
            File Found: apache-ab-test-files-1.tar.gz [0.01MB]
            File Found: apr-1.4.6.tar.gz [0.94MB]
            File Found: apr-util-1.4.1.tar.gz [0.74MB]
            Installation Size: 365 MB
            Installing Test @ 22:57:54
            The installer exited with a non-zero exit status.
            ERROR: pcre-config for libpcre not found.
            LOG: ~/.phoronix-test-suite/installed-tests/pts/apache-1.5.2/install-failed.log

            pts/fs-mark-1.0.0:
            Test Installation 7 of 13
            1 File Needed [0.01 MB / 1 Minute]
            File Found: fs_mark-3.3.tar.gz [0.01MB]
            Installation Size: 1 MB
            Installing Test @ 22:58:46
            The installer exited with a non-zero exit status.
            ERROR: collect2: error: ld returned 1 exit status
            LOG: ~/.phoronix-test-suite/installed-tests/pts/fs-mark-1.0.0/install-failed.log

            pts/tiobench-1.1.0:
            Test Installation 9 of 13
            1 File Needed [0.03 MB / 1 Minute]
            Downloading: tiobench-0.3.3.tar.gz [0.03MB]
            Estimated Download Time: 1m ........................................
            Download Failed: http://voxel.dl.sourceforge.net/sour...h-0.3.3.tar.gz
            Attempting to download from alternate mirror.
            Downloading: tiobench-0.3.3.tar.gz [0.03MB]
            Estimated Download Time: 1m ........................................
            Installation Size: 0.2 MB
            Installing Test @ 22:58:55
            The installer exited with a non-zero exit status.
            ERROR: tiotest.c:34:15: error: conflicting types for 'aligned_alloc'
            LOG: ~/.phoronix-test-suite/installed-tests/pts/tiobench-1.1.0/install-failed.log
            For the first PCRE error, you need libpcre-devel installed (I think that's the name of the program). With the other two bugs, those are issues between the compiler and the upstream program code.
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #7
              How to fix the other two problems

              For the first PCRE error (pts/apache-1.5.2) I had to install pcre-devel via yum and it now works fine - thank you. How can I fix the other two problems?

              Comment

              Working...
              X